### Function

# GLib strcompress

since: 2.0

#### Declaration

    gchar*
    g_strcompress (
      const gchar* source
    )

#### Description

Replaces all escaped characters with their one byte equivalent.

This function does the reverse conversion of `g_strescape()`.

Available since: 2.0

#### Parameters

`source`

  Type: `const gchar*`

  A string to compress.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gchar*`

A newly-allocated copy of `source` with all escaped character compressed.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.